#q:=3;
Read("classical_group.g");
Read("amalgam.g");

# U_6(q) = H(5, q^2)
#
#   Root group sizes: [ q, q^2, q^2 ]
#   Subgroup sizes: [ q^6, q^3, q^6 ]
#   Size(U) = q^15
#   Expected index: q^9
#
# For q=2 we get an infinite cover
#
# Covering degree 1 verified using coset enumeration for
#   q in [3,4,5]
#
# Checking again, using Sims' trick: simply connected for
#   q in [3,4,5,7]
#
unip:=UnipotentRootGroups(GF(q^2), 3, 0, q, 1);
CoveringDegree(unip);
